# Class: MoneroDaemonPeer

## MoneroDaemonPeer()

Models a peer to the daemon.

## Constructor

#### new MoneroDaemonPeer()

Source:
  - src/main/js/daemon/model/MoneroDaemonPeer.js, line 6

### Methods

#### getAddress()

Source:
  - src/main/js/daemon/model/MoneroDaemonPeer.js, line 28

#### getHost()

Source:
  - src/main/js/daemon/model/MoneroDaemonPeer.js, line 37

#### getId()

Source:
  - src/main/js/daemon/model/MoneroDaemonPeer.js, line 19

#### getLastSeenTimestamp()

Source:
  - src/main/js/daemon/model/MoneroDaemonPeer.js, line 70

#### getPort()

Source:
  - src/main/js/daemon/model/MoneroDaemonPeer.js, line 46

#### getPruningSeed()

Source:
  - src/main/js/daemon/model/MoneroDaemonPeer.js, line 79

#### getRpcCreditsPerHash()

Source:
  - src/main/js/daemon/model/MoneroDaemonPeer.js, line 97

#### getRpcPort()

Source:
  - src/main/js/daemon/model/MoneroDaemonPeer.js, line 88

#### isOnline() → {boolean}

Indicates if the peer was online when last checked (aka "white listed" as opposed to "gray listed").

Source:
  - src/main/js/daemon/model/MoneroDaemonPeer.js, line 61

##### Returns:

true if peer was online when last checked, false otherwise

Type
  boolean

#### setAddress()

Source:
  - src/main/js/daemon/model/MoneroDaemonPeer.js, line 32

#### setHost()

Source:
  - src/main/js/daemon/model/MoneroDaemonPeer.js, line 41

#### setId()

Source:
  - src/main/js/daemon/model/MoneroDaemonPeer.js, line 23

#### setIsOnline()

Source:
  - src/main/js/daemon/model/MoneroDaemonPeer.js, line 65

#### setLastSeenTimestamp()

Source:
  - src/main/js/daemon/model/MoneroDaemonPeer.js, line 74

#### setPort()

Source:
  - src/main/js/daemon/model/MoneroDaemonPeer.js, line 50

#### setPruningSeed()

Source:
  - src/main/js/daemon/model/MoneroDaemonPeer.js, line 83

#### setRpcCreditsPerHash()

Source:
  - src/main/js/daemon/model/MoneroDaemonPeer.js, line 101

#### setRpcPort()

Source:
  - src/main/js/daemon/model/MoneroDaemonPeer.js, line 92

#### toJson()

Source:
  - src/main/js/daemon/model/MoneroDaemonPeer.js, line 13